Package Details: adbmanager-bin 3.1-11

Git Clone URL: https://aur.archlinux.org/adbmanager-bin.git (read-only, click to copy)
Package Base: adbmanager-bin
Description: ADB manager for Android devices
Upstream URL: https://github.com/AKotov-dev/adbmanager
Keywords: adb adbmanager android apk
Licenses: GPL-3.0-only
Conflicts: adbmanager
Provides: adbmanager
Submitter: zxp19821005
Maintainer: zxp19821005
Last Packager: zxp19821005
Votes: 2
Popularity: 0.30
First Submitted: 2023-02-28 07:29 (UTC)
Last Updated: 2024-02-29 07:26 (UTC)

Latest Comments

yochananmarqos commented on 2023-03-01 00:51 (UTC)

@zxp19821005: I've made the changes. Have fun maintaining!

yochananmarqos commented on 2023-02-28 19:14 (UTC) (edited on 2023-02-28 19:15 (UTC) by yochananmarqos)

@zxp19821005: This is packaged very poorly by upstream. The whole entire repo should not be in the package as most of the files are source code. All that needs to be installed is the binary, desktop file and icon.

prepare() {
    mkdir -p "${pkgname%-bin}-$pkgver"
    bsdtar -xvf data.tar.xz -C "${pkgname%-bin}-$pkgver"
}

package() {
    cd "${pkgname%-bin}-$pkgver"
    install -Dm755 "usr/share/${pkgname%-bin}/${pkgname%-bin}" -t "${pkgdir}/usr/bin/"
    install -Dm644 "usr/share/applications/${pkgname%-bin}.desktop" -t \
        "$pkgdir/usr/share/applications/"
    install -Dm644 "usr/share/${pkgname%-bin}/ico/${pkgname%-bin}.png" -t \
       "$pkgdir/usr/share/pixmaps/"
}

See the Debian control file for the proper dependencies, they should be:

depends=('android-tools' 'gtk2' 'iproute2' 'nmap' 'sakura')

This also needs to provide and conflict with adbmanager:

provides=("${pkgname%-bin}")
conflicts=("${pkgname%-bin}")